<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>matchw &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>matchw
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">54 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">matchw</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function matchw(string, pattern)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">matchw</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="o">-</span> [<span class="nv">M_strings</span>:<span class="nv">COMPARE</span>] <span class="nv">compare</span> <span class="nv">given</span> <span class="nv">string</span> <span class="k">for</span> <span class="nv">match</span> <span class="nv">to</span> <span class="nv">pattern</span> <span class="nv">which</span> <span class="nv">may</span> <span class="nv">contain</span> <span class="nv">wildcard</span> <span class="nv">characters</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>logical function matchw(string, pattern )

 character(len=*),intent(in) :: string
 character(len=*),intent(in) :: pattern
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">matchw</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">compares</span> <span class="nv">given</span> <span class="nv">string</span> <span class="k">for</span> <span class="nv">match</span> <span class="nv">to</span> <span class="nv">pattern</span> <span class="nv">which</span> <span class="nv">may</span>
<span class="nv">contain</span> <span class="nv">wildcard</span> <span class="nv">characters</span>.

<span class="nv">In</span> <span class="nv">this</span> <span class="nv">version</span> <span class="nv">to</span> <span class="nv">get</span> <span class="nv">a</span> <span class="nv">match</span> <span class="nv">entire</span> <span class="nv">string</span> <span class="nv">must</span> <span class="nv">be</span> <span class="nv">described</span> <span class="nv">by</span> <span class="nv">pattern</span>.

   <span class="nv">o</span>  <span class="s2">&quot;</span><span class="s">?</span><span class="s2">&quot;</span> <span class="nv">matching</span> <span class="nv">any</span> <span class="nv">one</span> <span class="nv">character</span>
   <span class="nv">o</span>  <span class="s2">&quot;</span><span class="s">*</span><span class="s2">&quot;</span> <span class="nv">matching</span> <span class="nv">zero</span> <span class="nv">or</span> <span class="nv">more</span> <span class="nv">characters</span>. <span class="k">Do</span> <span class="nv">NOT</span> <span class="nv">use</span> <span class="nv">adjacent</span> <span class="nv">asterisks</span>.
   <span class="nv">o</span>  <span class="nv">Both</span> <span class="nv">strings</span> <span class="nv">may</span> <span class="nv">have</span> <span class="nv">trailing</span> <span class="nv">spaces</span> <span class="nv">which</span> <span class="nv">are</span> <span class="nv">ignored</span>.
   <span class="nv">o</span>  <span class="nv">There</span> <span class="nv">is</span> <span class="nv">no</span> <span class="nv">escape</span> <span class="nv">character</span>, <span class="nv">so</span> <span class="nv">matching</span> <span class="nv">strings</span> <span class="nv">with</span> <span class="nv">literal</span>
      <span class="nv">question</span> <span class="nv">mark</span> <span class="nv">and</span> <span class="nv">asterisk</span> <span class="nv">is</span> <span class="nv">problematic</span>.
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Example program</p>
<div class="codehilite"><pre><span></span><code> <span class="nv">program</span> <span class="nv">demo_matchw</span>
 <span class="k">call</span> <span class="nl">demo1</span><span class="ss">()</span>
 <span class="k">call</span> <span class="nl">demo2</span><span class="ss">()</span>
 <span class="nv">contains</span>
 <span class="o">!!</span>
 <span class="o">!</span> <span class="nv">basic</span> <span class="nv">example</span>
 <span class="o">!!</span>
 <span class="nv">subroutine</span> <span class="nv">demo1</span><span class="ss">()</span>
 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">matchw</span>
 <span class="o">!</span> <span class="nv">first</span> <span class="nv">match</span> <span class="nv">is</span> <span class="nv">not</span> <span class="nv">all</span> <span class="nv">of</span> <span class="nv">string</span> <span class="nv">so</span> <span class="nv">F</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">*c*ax </span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span><span class="ss">)</span>
 <span class="o">!</span> <span class="nv">true</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">*c*ax*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span><span class="ss">)</span>
 <span class="o">!</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">merge</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">MATCH</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ERROR</span><span class="s1">&#39;</span>,<span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*c*ax*</span><span class="s1">&#39;</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">merge</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">MATCH</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ERROR</span><span class="s1">&#39;</span>,<span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*c??f*</span><span class="s1">&#39;</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">merge</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">ERROR</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">NO   </span><span class="s1">&#39;</span>,<span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*a??f</span><span class="s1">&#39;</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">merge</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">ERROR</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">NO   </span><span class="s1">&#39;</span>,<span class="nv">matchw</span><span class="ss">(</span><span class="s1">&#39;</span><span class="s">abcdefgaxaxaxax</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*y</span><span class="s1">&#39;</span><span class="ss">))</span>
 <span class="k">end</span> <span class="nv">subroutine</span> <span class="nv">demo1</span>
 <span class="o">!!</span>
 <span class="o">!</span> <span class="nv">More</span> <span class="nv">extensive</span> <span class="nv">example</span>
 <span class="o">!!</span>
 <span class="nv">subroutine</span> <span class="nv">demo2</span><span class="ss">()</span>
 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">matchw</span>
 <span class="o">!</span><span class="nv">implicit</span> <span class="nv">none</span>
 <span class="nv">integer</span> <span class="nv">np</span>, <span class="nv">ns</span>
 <span class="nv">parameter</span> <span class="ss">(</span><span class="nv">np</span> <span class="o">=</span>  <span class="mi">19</span>, <span class="nv">ns</span> <span class="o">=</span>  <span class="mi">6</span><span class="ss">)</span>
 <span class="nv">character</span> <span class="nv">pattern</span><span class="ss">(</span><span class="nv">np</span><span class="ss">)</span><span class="o">*</span><span class="mi">8</span>, <span class="nv">string</span><span class="ss">(</span><span class="nv">ns</span><span class="ss">)</span><span class="o">*</span><span class="mi">12</span>
 <span class="nv">character</span> <span class="nv">pattern2</span><span class="ss">(</span><span class="nv">np</span><span class="ss">)</span><span class="o">*</span><span class="mi">8</span>
 <span class="nv">integer</span> <span class="nv">s</span>, <span class="nv">p</span>
 <span class="nv">data</span> <span class="nv">pattern</span> <span class="o">/</span><span class="s1">&#39;</span><span class="s">*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a*a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ab*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a*a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a?d?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a?d*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">abra</span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span> <span class="s1">&#39;</span><span class="s">aa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ab</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">????</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">?*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">***?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">****?</span><span class="s1">&#39;</span><span class="o">/</span>
 <span class="nv">data</span> <span class="nv">pattern2</span><span class="o">/</span><span class="s1">&#39;</span><span class="s">*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a**a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a*d?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ab*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a*a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a?d?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a?d*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">alda</span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span> <span class="s1">&#39;</span><span class="s">aa</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ab</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">*</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">?</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">???a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">????</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">**</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">***a</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">?????</span><span class="s1">&#39;</span><span class="o">/</span>
 <span class="nv">data</span> <span class="nv">string</span> <span class="o">/</span> <span class="s1">&#39;</span><span class="s">abracadabra</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">aldabra</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">alda</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">carta</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">abdc</span><span class="s1">&#39;</span>, <span class="s1">&#39;</span><span class="s">abra</span><span class="s1">&#39;</span><span class="o">/</span>
    <span class="o">!</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(&quot;TABLE 1&quot;,t18, *(a6))</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="nv">pattern</span>
    <span class="k">do</span> <span class="nv">s</span> <span class="o">=</span> <span class="mi">1</span>,<span class="nv">ns</span>
       <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>, <span class="s1">&#39;</span><span class="s">(a, 100L6)</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="o">&amp;</span>
        <span class="o">&amp;</span> <span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="ss">(</span><span class="nv">matchw</span><span class="ss">(</span><span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">pattern</span><span class="ss">(</span><span class="nv">p</span><span class="ss">))</span>, <span class="nv">p</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">np</span><span class="ss">)</span>
    <span class="nv">enddo</span>
    <span class="o">!</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(&quot;TABLE 2&quot;,t18, *(a6))</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="nv">pattern2</span>
    <span class="k">do</span> <span class="nv">s</span> <span class="o">=</span> <span class="mi">1</span>,<span class="nv">ns</span>
       <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>, <span class="s1">&#39;</span><span class="s">(a, 100L6)</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="o">&amp;</span>
        <span class="o">&amp;</span> <span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="ss">(</span><span class="nv">matchw</span><span class="ss">(</span><span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">pattern2</span><span class="ss">(</span><span class="nv">p</span><span class="ss">))</span>, <span class="nv">p</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">np</span><span class="ss">)</span>
    <span class="nv">enddo</span>
    <span class="o">!</span>
    <span class="nv">stop</span>
    <span class="o">!</span>
    <span class="k">do</span> <span class="nv">s</span> <span class="o">=</span> <span class="mi">1</span>,<span class="nv">ns</span>
       <span class="k">do</span> <span class="nv">p</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">np</span>
       <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>, <span class="s1">&#39;</span><span class="s">(a,a,L7)</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="o">&amp;</span>
        <span class="o">&amp;</span> <span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">pattern2</span><span class="ss">(</span><span class="nv">p</span><span class="ss">)</span>,<span class="nv">matchw</span><span class="ss">(</span><span class="nv">string</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">pattern2</span><span class="ss">(</span><span class="nv">p</span><span class="ss">))</span>
       <span class="nv">enddo</span>
    <span class="nv">enddo</span>
 <span class="k">end</span> <span class="nv">subroutine</span> <span class="nv">demo2</span>
 <span class="o">!</span>
 <span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_matchw</span>
</code></pre></div>

<p>Expected output</p>
<div class="codehilite"><pre><span></span><code> &gt; F
 &gt; T
 &gt; MATCH
 &gt; MATCH
 &gt; NO
 &gt; NO
</code></pre></div>

<p>Expected output</p>
<div class="codehilite"><pre><span></span><code>TABLE 1     * a*a  a*   ab* *a a*a a?d? a?d* abra aa a ab * ? ???? ?*   *? ***? ****?
abracadabra T T    T    T   T  T   F    F    F    F  F F  T F F    T    F  F    F
aldabra     T T    T    F   T  T   F    T    F    F  F F  T F F    T    F  F    F
alda        T T    T    F   T  T   T    T    F    F  F F  T F T    T    F  F    F
carta       T F    F    F   T  F   F    F    F    F  F F  T F F    T    F  F    F
abdc        T F    T    T   F  F   T    T    F    F  F F  T F T    T    F  F    F
abra        T T    T    T   T  T   F    F    T    F  F F  T F T    T    F  F    F
TABLE 2     * a**a a*d? ab* *a a*a a?d? a?d* alda aa a ab * ? ???a ???? ** ***a ?????
abracadabra T F    F    T   T  T   F    F    F    F  F F  T F F    F    F  F    F
aldabra     T F    F    F   T  T   F    T    F    F  F F  T F F    F    F  F    F
alda        T F    T    F   T  T   T    T    T    F  F F  T F T    T    F  F    F
carta       T F    F    F   T  F   F    F    F    F  F F  T F F    F    F  F    T
abdc        T F    T    T   F  F   T    T    F    F  F F  T F F    T    F  F    F
abra        T F    F    T   T  T   F    F    F    F  F F  T F T    T    F  F    F
</code></pre></div>

<h2>AUTHOR</h2>
<p>Heavily based on a version from Clive Page, cgp@le.ac.uk,  2003 June 24.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-string"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>string</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-pattern"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>pattern</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-matchw"></span>logical
  </small></h3>
    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>